Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 191087 - console=ttyX info not added to append line in elilo.conf
Summary: console=ttyX info not added to append line in elilo.conf
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-05-08 19:01 UTC by Doug Chapman
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-17 13:36:08 UTC


Attachments (Terms of Use)

Description Doug Chapman 2006-05-08 19:01:37 UTC
Description of problem:
When I install the latest rawhide on some of my HP Integrity (ia64) servers I
need to specify console= so that it uses the correct serial port for the console.  

I specify this on the install boot but the elilo.conf file that is created does
not contain this.  On RHEL3+4 any info I had on the append line when I booted
was copied to the insalled elilo.conf

Version-Release number of selected component (if applicable):

anaconda-11.1.0.8-1

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeremy Katz 2006-05-09 19:15:30 UTC
Were you doing a serial install?

Comment 2 Doug Chapman 2006-05-09 19:48:04 UTC
correct, serial install


Comment 3 Jeremy Katz 2006-05-09 20:23:18 UTC
Did you boot with 'linux serial console=...' or how did the serial console
device get discerned?

Comment 4 Doug Chapman 2006-05-09 21:03:32 UTC
when I do the install I boot with:

     linux console=ttyS1

and the install works fine.  In RHEL3 and RHEL4 this info would then be added to
the append line of elilo.conf but in rawhide it does not. 



Comment 5 Jeremy Katz 2006-05-09 21:20:21 UTC
Can you try with 'linux serial console=ttyS1' instead?  

Comment 6 Doug Chapman 2006-05-10 14:55:12 UTC
tried linux serial console=ttyS1 with the same results


Comment 7 Jeremy Katz 2006-05-15 18:29:37 UTC
Hmmm, the code looks okay from a quick inspection.  It'll require a deeper look

Comment 8 Aron Griffis 2006-08-17 02:21:32 UTC
Doug, this report is from May and rawhide has made some good progress on ia64 in
the meantime...  can you verify this problem still exists?

Comment 9 Doug Chapman 2006-08-17 13:36:08 UTC
I have verifed this one.  Sorry, should have closed it out some time ago.



Note You need to log in before you can comment on or make changes to this bug.